# Redis Command

The Redis Command step allows you to execute commands and manage your Redis data source data.

## Command examples

### GET

Retrieves a string from the data store by `key`.

```javascript
['GET', 'key']
```

### SET

Sets the string with the key `key` to value `something`.

```js
['SET', 'key', 'something']
```

### DEL

Removes the value at `key`.

```js
['DEL', 'key']
```

### INCR

Increments the value at `counter`.

```js
['INCR', 'counter']
```

### LPUSH

Pushes the value to the left side of a list.

```js
['LPUSH', 'work:queue:ids', '101']
```

### RPOP

Pops the value from the right side of a list.

```js
['RPOP', 'work:queue:ids']
```

### HSET

Sets the values as a hash map.

```js
['HSET', 'user:123', 'username', 'martina', 'firstName', 'Martina', 'lastName', 'Elisa', 'country', 'GB']
```

### HGET

Gets a specific property from a hash map.

```js
['HGET', 'user:123', 'username']
```

***

For additional Redis commands, refer to their [documentation](https://redis.io/docs/latest/commands/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uibakery.io/reference/working-with-actions/redis-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
